Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Assistants

Delete an assistant

DELETE /openai/v1/assistants/{assistant_id} Deprecated

Deletes an assistant by its identifier.

Path parameters

assistant_id string required Deprecated

The ID of the assistant to delete.

Responses

The request has succeeded.

Body

Content-Type: application/json
id string required Deprecated
deleted boolean required Deprecated
object enum required Deprecated
assistant.deleted

Client error

Body

Content-Type: application/json
error OpenAI.Error required Deprecated
code string | null required Deprecated
message string required Deprecated
param string | null Deprecated
type string Deprecated
misalignment OpenAI.MisalignmentErrorDetailsResource Deprecated
review_target string | null Deprecated
error_type string | enum Deprecated
Any of the following:
string Deprecated
enum Deprecated
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Deprecated

The public explanation for this block.

steer OpenAI._MisalignmentSteer Deprecated
message string required Deprecated

The public continuation instruction.

details OpenAI.Error[] Deprecated
additionalInfo object Deprecated
debugInfo object Deprecated

Server error

Body

Content-Type: application/json
error OpenAI.Error required Deprecated
code string | null required Deprecated
message string required Deprecated
param string | null Deprecated
type string Deprecated
misalignment OpenAI.MisalignmentErrorDetailsResource Deprecated
review_target string | null Deprecated
error_type string | enum Deprecated
Any of the following:
string Deprecated
enum Deprecated
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string Deprecated

The public explanation for this block.

steer OpenAI._MisalignmentSteer Deprecated
message string required Deprecated

The public continuation instruction.

details OpenAI.Error[] Deprecated
additionalInfo object Deprecated
debugInfo object Deprecated

Request

curl https://api.openai.com/v1/assistants/asst_abc123 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -H "OpenAI-Beta: assistants=v2" \
  -X DELETE
import os
from openai import OpenAI

client = OpenAI(
    api_key=os.environ.get("OPENAI_API_KEY"),  # This is the default and can be omitted
)
assistant_deleted = client.beta.assistants.delete(
    "assistant_id",
)
print(assistant_deleted.id)
import OpenAI from "openai";

const openai = new OpenAI();

async function main() {
  const response = await openai.beta.assistants.delete("asst_abc123");

  console.log(response);
}
main();
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});

const assistantDeleted = await client.beta.assistants.delete('assistant_id');

console.log(assistantDeleted.id);
package main

import (
    "context"
    "fmt"

    "github.com/openai/openai-go"
    "github.com/openai/openai-go/option"
)

func main() {
    client := openai.NewClient(
        option.WithAPIKey("My API Key"),
    )
    assistantDeleted, err := client.Beta.Assistants.Delete(context.TODO(), "assistant_id")
    if err != nil {
        panic(err.Error())
    }
    fmt.Printf("%+v
", assistantDeleted.ID)
}
package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.assistants.AssistantDeleteParams;
import com.openai.models.beta.assistants.AssistantDeleted;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        AssistantDeleted assistantDeleted = client.beta().assistants().delete("assistant_id");
    }
}
require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

assistant_deleted = openai.beta.assistants.delete("assistant_id")

puts(assistant_deleted)

Response

{
  "id": "asst_abc123",
  "object": "assistant.deleted",
  "deleted": true
}
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026